Search documentation of ash

# Ash.Error.Invalid exception (ash v3.4.71)

View Source

The top level invalid error

# Summary

## Types

t()

## Functions

exception(args)

Create an `Elixir.Ash.Error.Invalid` without raising it.

message(map)

Callback implementation for `Exception.message/1`.

# Types

# t()

    @type t() :: %Ash.Error.Invalid{
      __exception__: true,
      action_input: Ash.ActionInput.t() | nil,
      bread_crumbs: term(),
      changeset: Ash.Changeset.t() | nil,
      class: term(),
      errors: term(),
      path: term(),
      query: Ash.Query.t() | nil,
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

# Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %Ash.Error.Invalid{
      __exception__: true,
      action_input: term(),
      bread_crumbs: term(),
      changeset: term(),
      class: term(),
      errors: term(),
      path: term(),
      query: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.Ash.Error.Invalid` without raising it.

## Keys

- :changeset
- :query
- :action_input
- :errors

# message(map)

Callback implementation for `Exception.message/1`.